#pragma once
#include <GameObject.h>

class Command
{
public:
	virtual ~Command() {}
	virtual void Execute(GameObject& gObject) = 0;
};

class JumpCommand
{
public:
	virtual void Execute(GameObject& gObject) 
	{ 
		// TODO
	}
};

class MoveCommand
{
public:
	virtual void Execute() 
	{
		// TODO
	}
};